For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETcheck if a limited-availability entity such as a subdomain, email or phone number is already in use
      • GETlist accounts
      • POSTcreate an account
      • GETretrieve account
      • PUTupdate account
      • DELdelete an account
      • GETget webhook signing secret, regenerating if requested
      • POSTadd or change the sip realm
      • GETretrieve call capacity and other limits from the account
      • POSTcreate a limit for an account
      • GETget all api keys for an account
      • POSTcreate an API key for an account
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementAccounts

get all api keys for an account

GET
https://api.jambonz.cloud/v1/ApiKeys
GET
/v1/ApiKeys
$curl https://api.jambonz.cloud/v1/ApiKeys \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "api_key_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "token": "9b2d7f4e-8c3a-4f1a-9d2e-1a2b3c4d5e6f",
5 "account_sid": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
6 "service_provider_sid": "7e8f9a0b-1c2d-3e4f-5a6b-7c8d9e0f1a2b",
7 "expires_at": "2024-12-31T23:59:59Z",
8 "created_at": "2024-01-15T09:30:00Z",
9 "last_used": "2024-04-10T14:45:00Z"
10 }
11]
Was this page helpful?
Previous

create an API key for an account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

list of api keys
api_key_sidstringformat: "uuid"
tokenstringformat: "uuid"
account_sidstringformat: "uuid"
service_provider_sidstringformat: "uuid"
expires_atstringformat: "date-time"
created_atstringformat: "date-time"
last_usedstringformat: "date-time"

Errors

404
Not Found Error
500
Internal Server Error